Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleOclSequence

    java.lang.Object
      java.util.AbstractCollection
          com.ibm.able.rules.AbleOclCollection
              com.ibm.able.rules.AbleOclSequence

All Implemented Interfaces:
  java.util.Collection, java.util.List, java.io.Serializable

public class AbleOclSequence
extends AbleOclCollection
implements java.util.List, java.io.Serializable

This class defines an OCL Sequence. The underlying implementation is built on java.util.ArrayList and its methods are surfaced as well.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.rules.AbleOclCollection
`myCollection`

Constructor Summary
`AbleOclSequence()` Create a new, empty Sequence.
`AbleOclSequence(AbleOclCollection theAbleOclCollection)` Create a new Sequence based on the specified OCL collection.
`AbleOclSequence(java.util.Collection theCollection)` Create a new Sequence based on the specified Java collection.

Method Summary
`void` | `add(int theIndex, java.lang.Object theObject)`
`boolean` | `addAll(int theIndex, java.util.Collection theCollection)`
`AbleOclCollection` | `append(java.lang.Object theObject)` Returns a new collection that is this collection with the specified object added at the end.
`java.lang.Object` | `at(int thePosition)` Returns the element at the specified location.
`java.lang.Object` | `clone()`
`void` | `ensureCapacity(int theInitialCapacity)`
`boolean` | `eq(java.lang.Object theObject)`
`boolean` | `equals(java.lang.Object theObject)` Returns true iff this sequence and the argument have the same number of the same elements in the same order.
`AbleOclCollection` | `excluding(java.lang.Object theObject)` Returns a new collection comprised of this collection with the specified object removed.
`java.lang.Object` | `first()` Returns the first element of the collection.
`AbleOclCollection` | `flatten()` Flattens the elements of this collection.
`java.lang.Object` | `get(int theIndex)`
`int` | `hashCode()`
`AbleOclCollection` | `including(java.lang.Object theObject)` Returns a new collection comprised of this collection and the specified object.
`int` | `indexOf(java.lang.Object theObject)` Returns the position of the specified element.
`AbleOclCollection` | `insertAt(int thePosition, java.lang.Object theObject)` Returns a new collection that is this collection with the specified object inserted at the specified location.
`java.lang.Object` | `last()` Returns the last element of the collection.
`int` | `lastIndexOf(java.lang.Object theObject)`
`java.util.ListIterator` | `listIterator()`
`java.util.ListIterator` | `listIterator(int theIndex)`
`AbleOclCollection` | `prepend(java.lang.Object theObject)` Returns a new collection that is this collection with the specified object added at the beginning.
`java.lang.Object` | `remove(int theIndex)`
`java.lang.Object` | `set(int theIndex, java.lang.Object theObject)`
`void` | `setCollection(java.util.Collection theCollection)` Sets the value of the underlying collection to be the specified collection.
`java.util.List` | `subList(int theFromIndex, int theToIndex)`
`AbleOclSequence` | `subSequence(int theFirstPosition, int theLastPosition)` Returns a new Sequence that is a portion of this Sequence.
`void` | `trimToSize()`
`AbleOclSequence` | `union(AbleOclSequence theSequence)` Returns a new Sequence that is the union of this Sequence and the specified Sequence.

Methods inherited from class com.ibm.able.rules.AbleOclCollection
`add, addAll, any, asBag, asOrderedSet, asSequence, asSet, clear, collect, contains, containsAll, count, difference, excludes, excludesAll, exists, flatten, forAll, getCollection, hasAtLeast, hasAtMost, hasBetween, hasExactly, includes, includesAll, intersection, intersection, intersection, isEmpty, isUnique, iterator, notEmpty, one, product, reject, remove, removeAll, retainAll, select, size, subOrderedSet, sum, symmetricDifference, toArray, toArray, union, union`

Methods inherited from class java.util.AbstractCollection
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbleOclSequence

    public AbleOclSequence()

  Create a new, empty Sequence.

### AbleOclSequence

    public AbleOclSequence(java.util.Collection theCollection)

  Create a new Sequence based on the specified Java collection.

Parameters:
  `theCollection` - A collection on which to base the new Sequence.

### AbleOclSequence

    public AbleOclSequence(AbleOclCollection theAbleOclCollection)

  Create a new Sequence based on the specified OCL collection.

Parameters:
  `theAbleOclCollection` - A collection on which to base the new Sequence.

Method Detail

### flatten

    public AbleOclCollection flatten()

  Description copied from class: `AbleOclCollection`
  Flattens the elements of this collection.

  Overrides:
    `flatten` in class `AbleOclCollection`
  Returns:
    If the elements of this collection are not themselves collections, this collection itself is returned. If the elements are collections, the returned value is a new collection containing all the elements of all the subcollections.

### including

    public AbleOclCollection including(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection comprised of this collection and the specified object.

  Overrides:
    `including` in class `AbleOclCollection`
  Parameters:
    `theObject` - An element to add to the new collection.

  Returns:
    a new collection comprised of this collection and the specified object.

### excluding

    public AbleOclCollection excluding(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection comprised of this collection with the specified object removed.

  Overrides:
    `excluding` in class `AbleOclCollection`
  Parameters:
    `theObject` - An element to remove from the new collection.

  Returns:
    a new collection comprised of this collection with the specified object removed.

### append

    public AbleOclCollection append(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is this collection with the specified object added at the end.

  Overrides:
    `append` in class `AbleOclCollection`
  Parameters:
    `theObject` - An element to add to the end of the new collection.

  Returns:
    A new collection that is this collection with the specified element added at the end.

### prepend

    public AbleOclCollection prepend(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is this collection with the specified object added at the beginning.

  Overrides:
    `prepend` in class `AbleOclCollection`
  Parameters:
    `theObject` - An element to add to the beginning of the new collection.

  Returns:
    A new collection that is this collection with the specified element added at the beginning.

### insertAt

    public AbleOclCollection insertAt(int thePosition,
                                      java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns a new collection that is this collection with the specified object inserted at the specified location.

  Overrides:
    `insertAt` in class `AbleOclCollection`
  Parameters:
    `thePosition` - The location at which to insert the specified element.

    `theObject` - An element to insert in the new collection.

  Returns:
    A new collection that is this collection with the specified element inserted at the specified location.

### at

    public java.lang.Object at(int thePosition)

  Description copied from class: `AbleOclCollection`
  Returns the element at the specified location.

  Overrides:
    `at` in class `AbleOclCollection`
  Parameters:
    `thePosition` - The location of the element to return.

  Returns:
    The element at the specified location.

### first

    public java.lang.Object first()

  Description copied from class: `AbleOclCollection`
  Returns the first element of the collection.

  Overrides:
    `first` in class `AbleOclCollection`
  Returns:
    The first element of the collection.

### indexOf

    public int indexOf(java.lang.Object theObject)

  Description copied from class: `AbleOclCollection`
  Returns the position of the specified element.

  Specified by:
    `indexOf` in interface `java.util.List`
  Overrides:
    `indexOf` in class `AbleOclCollection`
  Parameters:
    `theObject` - The element for which to search.

  Returns:
    The position of the specified element.

### last

    public java.lang.Object last()

  Description copied from class: `AbleOclCollection`
  Returns the last element of the collection.

  Overrides:
    `last` in class `AbleOclCollection`
  Returns:
    The last element of the collection.

### subSequence

    public AbleOclSequence subSequence(int theFirstPosition,
                                       int theLastPosition)

  Description copied from class: `AbleOclCollection`
  Returns a new Sequence that is a portion of this Sequence.

  Overrides:
    `subSequence` in class `AbleOclCollection`
  Parameters:
    `theFirstPosition` - The position of the first element to include.

    `theLastPosition` - The position of the last element to include.

  Returns:
    A new Sequence that is a subset of this Sequence.

### union

    public AbleOclSequence union(AbleOclSequence theSequence)

  Description copied from class: `AbleOclCollection`
  Returns a new Sequence that is the union of this Sequence and the specified Sequence.

  Overrides:
    `union` in class `AbleOclCollection`
  Parameters:
    `theSequence` - A Sequence to examine with this Sequence.

  Returns:
    a new Sequence that is the union of this Sequence and the specified Sequence.

### setCollection

    public void setCollection(java.util.Collection theCollection)

  Description copied from class: `AbleOclCollection`
  Sets the value of the underlying collection to be the specified collection. Use this method only when the null argument constructor has been used to create this collection. (This in itself is discouraged, but since AbleOclCollection can function as a sort of generic Java Collection, the operation isn't forbidden; that is, the constructors are purposely 'public' rather than 'protected'.)

  Overrides:
    `setCollection` in class `AbleOclCollection`
  Parameters:
    `theCollection` - The collection that is to be the value of this collection.

### eq

    public boolean eq(java.lang.Object theObject)

### add

    public void add(int theIndex,
                    java.lang.Object theObject)

  Specified by:
    `add` in interface `java.util.List`

### addAll

    public boolean addAll(int theIndex,
                          java.util.Collection theCollection)

  Specified by:
    `addAll` in interface `java.util.List`

### equals

    public boolean equals(java.lang.Object theObject)

  Returns true iff this sequence and the argument have the same number of the same elements in the same order. theObject is expected to be an AbleOclSequence, ArrayList, LinkedList, Vector... anything implementing the List interface.

  Specified by:
    `equals` in interface `java.util.List`

### get

    public java.lang.Object get(int theIndex)

  Specified by:
    `get` in interface `java.util.List`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.List`

### lastIndexOf

    public int lastIndexOf(java.lang.Object theObject)

  Specified by:
    `lastIndexOf` in interface `java.util.List`

### listIterator

    public java.util.ListIterator listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`

### listIterator

    public java.util.ListIterator listIterator(int theIndex)

  Specified by:
    `listIterator` in interface `java.util.List`

### remove

    public java.lang.Object remove(int theIndex)

  Specified by:
    `remove` in interface `java.util.List`

### set

    public java.lang.Object set(int theIndex,
                                java.lang.Object theObject)

  Specified by:
    `set` in interface `java.util.List`

### subList

    public java.util.List subList(int theFromIndex,
                                  int theToIndex)

  Specified by:
    `subList` in interface `java.util.List`

### ensureCapacity

    public void ensureCapacity(int theInitialCapacity)

### trimToSize

    public void trimToSize()

### clone

    public java.lang.Object clone()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005